Subject: Re: bug#75934: [PATCH] services: networking: Add dhcpcd service.

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 10 Mar 2025 08:58:14 +0900

Hi Sören,

Sören Tempel <[email-masked]> writes:

> Maxim Cournoyer <[email-masked]> wrote:
>> Hi Soeren,
>
> Hello Maxim!
>
>> I was wondering, why can't this replacement happen *today* ?
>
> My envisioned timeline was testing the new service a bit first
> (gathering feedback from users) and then deprecating the old service.
> However, if you think we should deprecate immediately feel free to send
> a patch doing that, otherwise I will look into it in the coming weeks.
>
> Further, my thinking was that, considering Guix's review capacities,
> splitting this into smaller chunks (adding the package, adding the
> service, deprecating the old service, …) makes this easier to review.

This all makes sense/is reasonable.  I'll wait for you to go through
this.  Thank you for your contributions!

-- 
Maxim